#!/bin/bash
# Transfering files
rsync -ar --exclude \*.jpg -e 'ssh -p 1122' /srv/expendable_data/motion 192.168.1.251:/srv/expendable_data/
return_code="$?"
if [ "${return_code}" != "0" ]; then
    echo "Error ${return_code} transfering recordings. I don't delete files, but this host might get full."
    exit 1
fi
# Deleting all files older than a day
find /srv/expendable_data/motion -type f -ctime +1 -delete
# Deleting all JPGs older than 0.1 days
find /srv/expendable_data/motion -type f -ctime +0.1 -iname \*.jpg -delete
